<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="host.core-service.management.management-interface.http-interface.http-upgrade">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="enabled,sasl-authentication-factory"/>
        <elem name="complex-attribute" value="http-upgrade"/>
        <elem name="addr-params" value="host,core-service,management-interface"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="host.core-service"/>
    </annotation>
    <requires>
        <capability name="org.wildfly.security.sasl-authentication-factory.$sasl-authentication-factory" optional="true"/>
    </requires>
    <refs>
        <ref feature="host.core-service.management.management-interface.http-interface"/>
    </refs>
    <params>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="sasl-authentication-factory" nillable="true"/>
        <param name="core-service" feature-id="true" default="management"/>
        <param name="management-interface" feature-id="true" default="http-interface"/>
        <param name="enabled" nillable="true"/>
    </params>
</feature-spec>